Dreamwalker
  
Version 1.2  
/////////////////////Change-Log v1.1 -> v1.2/////////////////////  
Fixed buggy clab file  
Added Italian translation  
/////////////////////Change-Log v1.0 -> v1.1/////////////////////  
Added two additional Dreamwalker specific spells: Nightmare Invocation, Nightmare Imprisonment  
Dream Dust spell: Changed description text, changed sound, added immunity for undead creatures, spell can now be cleared by "zone of sweet air" effects  
/////////////////////////////////////////////////////////////////  
  
This mod installs the Dreamwalker Shaman Kit for BGEE, SoD, BG2EE

******************
Kit description:

DREAMWALKER:
Dreamwalkers are Shamans with a strong divine connection to the Region of Dreams.
They not only tap into the energies that flow through the earth and air, through plants and animals, and even through the dead, but also those of the Region of Dreams and the Demiplane of Nightmares and shape these energies to obey their will. 

Class features:

    May only wear leather, studded leather, and hide armor
    May not equip shields larger than bucklers
    May only use the following weapons: dagger, club, spear, axe, quarterstaff, dart, sling, and shortbow
    May only become Proficient (one slot) in any weapon class
    May only become Proficient (one slot) in any fighting style
    May cast druidic spells
    Does not automatically learn all spells of a given level as Druids do. Instead, Shamans select new spells to learn at each level, which they can cast daily without memorization
    Gains immediate access to a number of Shaman-specific spells, which can be cast like any other: Spirit Ward, Dream Dust, Nightmare Invocation, Spirit Fire, Recall Spirit, Spiritual Lock, and Ether Gate
    Gains use of Detect Illusion skill with 20% points as a base, with an additional 4 points per level, up to a maximum of 100% at level 20
    May use Shamanic Dream Dance at will. Dreamwalkers can take their Dream Forms from the Region of Dreams to the Ethereal Plane by performing a ritualistic dance. While dancing, the Shaman takes a +4 penalty to Armor Class and cannot move, attack, cast spells, use items and special abilities, or perform any other activity. 
	After one round the Dreamwalker will fall asleep and take <PRO_HISHER> Dream Form from the Region of Dreams to Ethereal Plane. While in <PRO_HISHER> Dream Form the Shaman can not be perceived by others and can walk about unhindered and unobstructed but can not take any actions like attacking or casting spells.
    At level 6 Gains the ability to switch between Dream Dance and Nightmare Dance at will
    Does not gain bonus spells per day for high Wisdom
    Hit Die: d8
    May not Dual-class
	
	SHAMANIC DANCE:
	While dancing, the Shaman takes a +4 penalty to Armor Class and cannot move, attack, cast spells, use items and special abilities, or perform any other activity.
	
	DREAM DANCE:
	After one round the Dreamwalker will fall asleep and take <PRO_HISHER> Dream Form from the Region of Dreams to Ethereal Plane. While in <PRO_HISHER> Dream Form the Shaman is immune to most mind altering effects like fear or confusion, both in <PRO_HISHER> Dream Form and <PRO_HISHER> physical body.
	The Dream Form moves at four times the Dreamwalker's normal movement rate, is completely invisible and can not be affected by attacks or spells. After one turn or when <PRO_HISHER> physical body takes damage, the Dream Form disperses and the Shaman returns to <PRO_HISHER> body.
	
	NIGHTMARE DANCE:
	After one round the Dreamwalker will fall asleep and infuse <PRO_HISHER> Dream Form with essence from the Demiplane of Nightmares, turning it into a Nightmare manifestation. The Nightmare then enters the Material Plane for up to one turn. While in <PRO_HISHER> Nightmare Form the Shaman is immune to most mind altering effects like fear or confusion, both in <PRO_HISHER> Nightmare Form and <PRO_HISHER> physical body.
	Should the Shaman's physical body take any damage or the Nightmare Form be destroyed the Shaman will wake immediately.
	
    Nightmare Form:
	Nightmare Grasp: Opponents struck are slowly pulled toward the Nightmare for 3 seconds.
	Level  6: HP 60, 4 APR, 3d4 magic/cold/slashing damage, Thac0 10, Saves 12, Cold Resist 100, Each Resist 50, AC 2 
	Level 12: HP 120, 4 APR, 3d6 magic/cold/slashing damage, Thac0 4, Saves 6, Cold Resist 100, Each Resist 50, AC -2 
	Level 18: HP 180, 4 APR, 6d8 magic/cold/slashing damage, Thac0 -2, Saves 0, Cold Resist 100, Each Resist 50, AC -6 
	Level 24: HP 240, 4 APR, 6d10 magic/cold/slashing damage, Thac0 -8, Saves -6, Cold Resist 100, Each Resist 50, AC -10
	
********************	
Dream Dust (replaces Writhing Fog):
(Conjuration)

Level: 2
Sphere: Summoning
Range: Visual range of the caster
Duration: 1 turn
Casting Time: 2
Area of Effect: 30-ft. radius
Saving Throw: Special

This spell conjures a cloud of Dream Dust from the Region of Dreams. Any creature other than the caster that enters the cloud must save against spells or have its spirit pulled to the Region of Dreams for one round, effectively putting them asleep.
Creatures that remain in the cloud mast make a new save each round for the full duration of the spell. 
Elves have a very high chance to be unaffected by the effects of the cloud while Half-Elves will resist the effects one out of three times.

********************	
Nightmare Invocation (replaces Spiritual Clarity):
(Enchantment)

Level: 3
Sphere: Wards
Range: Long
Duration: 3 rounds
Casting Time: 1
Area of Effect: 30' radius
Saving Throw: Spell negates

By casting this spell, the Dreamwalker channels a burst of energy from the Demiplane of Nightmare into a powerful psychic attack. Enemies within 30' that fail a save vs. spell at -4 perceive the caster as embodiment of their worst fear, causing them to flee in terror for 5 rounds. The borrowed nightmare energy however returns quickly to its source, pulling the Dreamwalker with it. On a failed save vs. spell at -4 the caster is pulled back deep into the Demiplane of Nightmare and rendered unconscious for 3 rounds. For every 4 extra levels of experience, the caster's save penalty is reduced by one, up to no penalty at level 16.~



********************	
Nightmare Imprisonment (replaces Spiritual Lock):
(Enchantment)

Level: 6
Sphere: Wards
Range: Long
Duration: Special
Casting Time: 6
Area of Effect: Target, and enemies within 5'
Saving Throw: Special

When the Nightmare Imprisonment spell is cast on sleeping targets their spirits are pulled into and trapped on the Demiplane of Nightmare. Those who succeed on a save vs. death at -6 are able to eventually fight their way back, waking after 5 turns. Victims that fail their saving throw will quickly succumb to fear and madness or have their spirits torn asunder by the horrors that dwell there and are lost forever. 
While trapped in the Nightmare a victim's physical body remains asleep and can not wake under any circumstances.

